Bug 1290049 - [RFE] Support for 'Previous Versions' inside MS Windows environments.
[RFE] Support for 'Previous Versions' inside MS Windows environments.
Status: CLOSED DUPLICATE of bug 1308825
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: samba (Show other bugs)
3.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: rhs-smb@redhat.com
storage-qa-internal@redhat.com
: FutureFeature, ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-09 10:04 EST by Marcel Hergaarden
Modified: 2016-04-13 05:38 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-13 05:38:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcel Hergaarden 2015-12-09 10:04:25 EST
Description of problem:
Lots of prospect customers have MS Windows environments and want to use the Windows 'Previous Versions' functionality. This is currently not supported inside Red Hat Gluster Storage.
(http://windows.microsoft.com/en-us/windows/previous-versions-files-faq)  

Version-Release number of selected component (if applicable):
3.1

How reproducible:
Inside Windows operating system, SMB clients do not have a right-mouse-click feature 'Previous Versions' available.

Steps to Reproduce:
1. Setup a RHGS Volume and enable SMB sharing on it.
2. Access the RHGS volume by a Windows client system
3. Try to access 'previous versions' by performing a right mouse click.

Actual results:
Feature is not available/accessable

Expected results:
Capability to access previous versions 
(Asked for in many RFPs and by Windows oriented customers)

Additional info:
This feature should be implementable by adding an option into SMB.conf
https://www.samba.org/samba/docs/man/manpages/vfs_shadow_copy2.8.html

This has not been tested and therefore currently not available.
Comment 2 Michael Adam 2015-12-16 16:56:33 EST
I am kind of at a loss as to what this request actually requests.
It is obvious that the feature is not available if not enabled.
So is it a request to document how to enable snapshots?
Or a request to test it and officially declare as supported?

Thanks for clarification -- Michael
Comment 3 Marcel Hergaarden 2015-12-17 04:01:32 EST
Hi Adam,

Microsoft Windows offers a VFS option for users to access previous file versions if enabled on the underlying storage. Providers like NetApp en EMC are actually supporting this Windows functionality.

In RFPs and Tenders we often find ourselves being questioned for this feature.
At the moment, this is not possible or - not supported inside RHGS.

There is however an availability to enable the functionality within Samba.
(https://www.samba.org/samba/docs/man/manpages/vfs_shadow_copy2.8.html) 

There is no documentation section and/or declaration that this is supported in our RHGS offering. It could make a great difference if we could do so.

So here is the actual request;

- Please test the Samba feature, whether it works reliable
- If condition is met, please declare this as officially supported
- Mention the functionality and howto setup/use in the RHGS documentation

It would help us within Windows fileserver replacement opps.

rgds
Marcel

Note You need to log in before you can comment on or make changes to this bug.